<template>
  <div
    :title="alt"
    class="flex justify-center items-center w-8 h-8"
  >
    <components
      :is="icon"
      class="w-full h-full"
      aria-hidden="true"
    />
    <div v-if="alt" class="sr-only">
      {{ alt }}
    </div>
  </div>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsIcon",

  components: {
    IconLocation: () => import("~/assets/img/sections/location_fields.svg"),
    IconAnalytics: () => import("~/assets/img/sections/analytics.svg"),
    IconGlobe: () => import("~/assets/img/icons/globe.svg"),
  },

  props: {
    icon: {
      type: String,
      default: null,
    },
    alt: {
      type: String,
      default: null,
    },
  },
});
</script>
